FICOMBINE(1)

NAME
ficombine - combining (most frequently, averaging) a set of images

SYNOPSIS
ficombine [options] <input images> [-o|--output <output>]

DESCRIPTION
The purpose of this program is to combine the input images (with the same sizes) to a single image. This combination refers to a kind of "averaging" for the images, however, other modes are also available.

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-o, --output <fits>
    The name of the output file (omitting or specifing '-' yields the output to be written to stdout).

--history, --no-history
    Incude or exclude the command line of the invoking `ficombine` call. By default, the command line is added into the FITS headers (FI_HSTRY) but if there are enormous amount of input files, one can use --no-history to omit the respective lengthy keywords.

--data <spec>
    Output pixel data format specification.

-b, --bitpix <bitpix>
    Standard FITS output bitpix value.

-M, --input-mask <fits>
    Input mask file to co-add to output image.

  Generic combination specification:

-m, --mode <mode>
    Use the specified mode to combine images.

-n, --ignore-negative
    Ignore (i.e. mask) pixels with negative values.

--logical-or
    Use logical "or" combination between masks.

--logical-and
    Use logical "and" combination between masks.

  Combination modes (a comma-separated list of these should follow -m|--mode):

mean
    The mean value of the pixels.

median
    The median value of the pixels.

min, minimum
    The minimum value of the pixels.

max, maximum
    The maximum value of the pixels.

rejmed, rejection
    Median value after rejecting outliers.

rejmean
    Mean value after rejecting outliers.

iterations=<n>
    Number of iterations to reject outliers.

lower=<l>, upper=<u>, sigma=<s>
    Outlier limit (lower, upper, both) in standard deviation. Note that setting sigma to some value is equivalent to setting 'lower' and 'upper' to the same value simultaneously.

truncated
    Truncated mean.

winsorized
    Winsorized mean.

lowest=<cnt>, highest=<cnt>, discard=<cnt>
    Reject the 'lowest' and 'highest' count of points when computing truncated or winsorized mean. Setting 'discard' to some value is equivalent to setting 'lowest' and 'highest' to this value simultaneously.

sum Sum of the pixel values.

squaresum
    Sum for the squarers of the pixel values.

scatter, stddev
    Pixel scatter (standard deviation).

or  Use logical "or" combination between masks.

and Use logical "and" combination between masks.

ignorenegative
    Ignore (i.e. mask) pixels with negative values.

ignorezero
    Ignore (i.e. mask) pixels with a zero value.

ignorenegative
    Ignore (i.e. mask) pixels with positive values.

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>